Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

List Provider Attributes GETCreate Provider Attributes POSTUpdate Provider Attributes PUTDelete Provider Attribute DELETEUpdate Provider Attribute PUT
PeopleTalent pools

List Provider Attributes


Retrieve a paginated list of attributes for a specific provider in a talent pool with optional sorting.

GET
/api/rest/v2/talent-pools/{talent_pool_id}/providers/{provider_id}/attributes

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

talent_pool_id*integer

Talent Pool ID

provider_id*integer

Provider ID

Query Parameters

limit?integer

Number of results to return per page (maximum 100)

Default20
after?string

Cursor for forward pagination - retrieve items after this cursor

before?string

Cursor for backward pagination - retrieve items before this cursor

sort_by?string

Field name to sort results by

sort_direction?string

Sort direction - 'ASC' for ascending or 'DESC' for descending

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes"
{
  "data": [],
  "pagination": {
    "next_cursor": "eyJzb3J0VmFsdWUiOjEwLCJpZCI6MTB9",
    "limit": 20,
    "prev_cursor": "string_value",
    "has_next_page": true,
    "has_prev_page": false
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Talent Pool Group Users GET

Previous Page

Create Provider Attributes POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes"